import metodosFetch from "../app/metodosFetch.js?v=1.0.0";

class RubroEmpresa {
  constructor({ id, rubro }) {
    this.id = id;
    this.rubro = rubro;
  }

  static async obtenerTodos() {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/rubroEmpresaController",
        parametros: {
          accion: "obtenerTodos",
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default RubroEmpresa;
